datablock ItemData(GunsTetrakaikimboItem : gunItem)
{
	shapeFile = "./gunstetrakaikimbo.dts";
	density = 4.6;
	elasticity = 0;
	friction = 0.3;
	uiName = "Guns Tetra.";
	iconName = "./icon_guns_tetrakaikimbo";
	image = GunsTetrakaikimboImage;
};

datablock ShapeBaseImageData(GunsTetrakaikimboImage : gunImage)
{
   shapeFile = "./gunstetrakaikimbo.dts";
   item = GunsTetrakaikimboItem;
   colorShiftColor = GunsTetrakaikimboItem.colorShiftColor;

	stateTimeoutValue[2] = 0;
	stateSequence[2] = "rotate";

	stateTimeoutValue[3] = 0.005;

	stateTransitionOnTimeout[4] = "Ready";
};

datablock ItemData(GunsTetrakaikimboAkimboItem : GunsTetrakaikimboItem)
{
	uiName = "Guns Tetra. A.";
	image = GunsTetrakaikimboAkimboImage;
};

datablock ShapeBaseImageData(GunsTetrakaikimboAkimboImage : GunsTetrakaikimboImage)
{
   item = GunsTetrakaikimboAkimboItem;
   colorShiftColor = GunsTetrakaikimboAkimboItem.colorShiftColor;

	stateScript[3] = "onFireAkimbo";
};

datablock ShapeBaseImageData(GunsTetrakaikimbosAkimboImage : GunsTetrakaikimboImage)
{
   mountPoint = 1;
   item = GunsTetrakaikimboAkimboItem;
   armReady = false;
   colorShiftColor = GunsTetrakaikimboAkimboItem.colorShiftColor;
};

datablock ItemData(GunsTetrakaikimboQuadkimboItem : GunsTetrakaikimboItem)
{
	uiName = "Guns Tetra. Q.";
	image = GunsTetrakaikimboQuadkimboImage;
};

datablock ShapeBaseImageData(GunsTetrakaikimboQuadkimboImage : GunsTetrakaikimboImage)
{
   item = GunsTetrakaikimboQuadkimboItem;
   colorShiftColor = GunsTetrakaikimboQuadkimboItem.colorShiftColor;

	stateScript[3] = "onFireQuadkimbo";

	stateScript[1] = "onStopTheMadness";
};

datablock ShapeBaseImageData(GunsTetrakaikimbosQuadkimboImage : GunsTetrakaikimboImage)
{
   mountPoint = 1;
   item = GunsTetrakaikimboQuadkimboItem;
   armReady = false;
   colorShiftColor = GunsTetrakaikimboQuadkimboItem.colorShiftColor;
};

datablock ShapeBaseImageData(GunsTetrakaikimbossQuadkimboImage : GunsTetrakaikimboImage)
{
   mountPoint = 1;
   offset = "-1 0 0";
   item = GunsTetrakaikimboQuadkimboItem;
   armReady = false;
   colorShiftColor = GunsTetrakaikimboQuadkimboItem.colorShiftColor;
};

datablock ShapeBaseImageData(GunsTetrakaikimbosssQuadkimboImage : GunsTetrakaikimboImage)
{
   mountPoint = 1;
   offset = "2 0 0";
   item = GunsTetrakaikimboQuadkimboItem;
   armReady = false;
   colorShiftColor = GunsTetrakaikimboQuadkimboItem.colorShiftColor;
};

function GunsTetrakaikimboAkimboImage::onMount(%this, %obj, %slot)
{
   Parent::onMount(%this, %obj, %slot);
   %obj.playThread(1, armReadyBoth);
   %obj.mountImage(GunsTetrakaikimbosAkimboImage,1);
}

function GunsTetrakaikimboAkimboImage::onUnMount(%this, %obj, %slot)
{
   Parent::onUnMount(%this, %obj, %slot);
   %obj.unMountImage(1);
}

function GunsTetrakaikimboAkimboImage::onFireAkimbo(%this,%obj,%slot)
{
   %obj.setImageTrigger(1,1);
}

function GunsTetrakaikimboQuadkimboImage::onMount(%this, %obj, %slot)
{
   Parent::onMount(%this, %obj, %slot);
   %obj.playThread(1, armReadyBoth);
   %obj.mountImage(GunsTetrakaikimbosQuadkimboImage,1);
   %obj.mountImage(GunsTetrakaikimbossQuadkimboImage,2);
   %obj.mountImage(GunsTetrakaikimbosssQuadkimboImage,3);
}

function GunsTetrakaikimboQuadkimboImage::onUnMount(%this, %obj, %slot)
{
   Parent::onUnMount(%this, %obj, %slot);
   %obj.unMountImage(1);
   %obj.unMountImage(2);
   %obj.unMountImage(3);
}

function GunsTetrakaikimboQuadkimboImage::onFireQuadkimbo(%this,%obj,%slot)
{
   %obj.setImageTrigger(1,1);
   %obj.setImageTrigger(2,1);
   %obj.setImageTrigger(3,1);
}

function GunsTetrakaikimboQuadkimboImage::onStopTheMadness(%this,%obj,%slot)
{
   %obj.setImageTrigger(2,0);
   %obj.setImageTrigger(3,0);
}